Bug 81325 - context-lost.html is failing
Summary: context-lost.html is failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kenneth Russell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 02:45 PDT by Hajime Morrita
Modified: 2012-04-06 12:43 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.77 KB, patch)
2012-04-06 12:22 PDT, Kenneth Russell
jamesr: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2012-03-16 02:45:28 PDT
fast/canvas/webgl/context-lost.html started failing.
The flakiness dashboard told me that the failure started around r110911. But I don't have any confident.
Comment 1 Kenneth Russell 2012-03-26 14:19:01 PDT
gman@ recently noticed that there's a renderer process crash when running a few of the context lost WebGL conformance tests. Might be related.
Comment 2 Kenneth Russell 2012-04-06 12:22:38 PDT
Created attachment 136051 [details]
Patch
Comment 3 James Robinson 2012-04-06 12:32:29 PDT
Comment on attachment 136051 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=136051&action=review

R=me, good catch.

> Source/WebCore/html/canvas/WebGLRenderingContext.cpp:4284
> +    };

no ;
Comment 4 Kenneth Russell 2012-04-06 12:33:27 PDT
(In reply to comment #3)
> no ;

Oops.
Comment 5 Kenneth Russell 2012-04-06 12:43:44 PDT
Committed r113481: <http://trac.webkit.org/changeset/113481>